<?
/** 
 * @Project GoldMU.Net
 * @copyright 03/03/2022
 * @Email: goldmu.net@gmail.com
 * @Zalo: 0923 117 898
 */
 if (!defined('GoldWebMU')) die("Ban khong co quyen truy cap he thong");
$action = $_GET['action'];
switch ($action){ 

	default :
		$act = $_GET['act'];
		$cardtype = '';
		switch ($act){
			case 'gate':
				$cardtype = 'GATE';
			break;
			case 'mobi':
				$cardtype = 'MobiPhone';
			break;
			case 'vina':
				$cardtype = 'VinaPhone';
			break;
			case 'VNmobile':
				$cardtype = 'VNmobile';
			break;
			case 'viettel':
				$cardtype = 'Viettel';
			break;
			case 'zing':
				$cardtype = 'Zing';
			break;
			case 'vtc':
				$cardtype = 'VTC';
			break;
		}
		$menhgia = $_GET['menhgia'];	$menhgia = abs(intval($menhgia));
		$card_num = $_GET['card_num'];
		$card_serial = $_GET['card_serial'];
		
		if( $sendsv === false ) { echo "Tốc độ xử lý của bạn quá nhanh, vui lòng chờ vài giây rồi tiếp tục thực hiện."; }
		elseif(empty($cardtype))
		{
			echo "<font size='2' color='red'>Chưa chọn loại thẻ nạp.</font>";
		}
		elseif(empty($menhgia) || $menhgia < 10000)
		{
			echo "<font size='2' color='red'>Chưa chọn mệnh giá thẻ.</font>";
		}
		elseif (!preg_match("/^[0-9]*$/i", $menhgia))
		{
			echo "<font size='4' color='red'>Dữ liệu lỗi - Mệnh giá chỉ được sử dụng số (1-9).</font>";
		}
		elseif (empty($card_num)) {
			echo "<font size='2' color='red'>Chưa điền Mã thẻ.</font>";
		}
		elseif (!preg_match("/^[a-zA-Z0-9]*$/u", $card_num))
		{
			echo "<font size='2' color='red'>Dữ liệu lỗi : $card_num . Chỉ được sử dụng chu a-z, A-Z và số (1-9).</font>"; 
		}
		elseif (empty($card_serial)) {
			echo "<font size='2' color='red'>Chưa điền Serial thẻ.</font>";
		}
		elseif (!preg_match("/^[a-zA-Z0-9]*$/u", $card_serial))
		{
			echo "<font size='2' color='red'>Dữ liệu lỗi : $card_serial . Serial Chỉ được sử dụng chu a-z, A-Z và số (1-9).</font>"; 
		}
		else {
			
			$getcontent_url = $server_url . "/vpoint_cardphone.php";
			$getcontent_data = array(
				'login'    =>  $_SESSION['mu_username'],
				'cardtype'    =>  $cardtype,
				'menhgia'    =>  $menhgia,
				'card_num'    =>  $card_num,
				'card_serial'    =>  $card_serial,
				'string_login'    =>  $_SESSION['checklogin'],
				'passtransfer'    =>  $passtransfer
			); 
			
			$reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);

			if ( empty($reponse) ) echo "<font size='3' color='red'>Server bảo trì.</font>";
			elseif($reponse == "login_other") {
				echo "<font size='3' color='red'>Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.</font>";
				session_destroy();
			} else {
				$notice = read_TagName($reponse, 'msg', 1);
				$gcoin = read_TagName($reponse, 'gcoin', 1);
				$gcoinkm = read_TagName($reponse, 'gcoinkm', 1);
				if(strlen($notice) == 0) echo $reponse;
				else {
					echo "<vweb>OK<vweb>$notice<vweb>";
					$_SESSION['acc_gcoin'] = $gcoin;
					$_SESSION['acc_gcoin_km'] = $gcoinkm;
				}
			}
		
		}
	}
?>